TEXI2ANY(1)

NUME
texi2any - convertește documentele Texinfo

SINOPSIS
makeinfo [OPȚIUNE]... FIȘIER_TEXINFO...

DESCRIERE
Convertește documentația sursă Texinfo în diverse alte formate, implicit în fișiere Info adecvate pentru citirea online cu Emacs sau cu GNU Info.

Acest program este instalat în mod obișnuit atât ca «makeinfo», cât și ca «texi2any»; comportamentul este identic și nu depinde de numele instalat.

  Opțiuni generale:

--document-language=CODul limbii de utilizat în traducerea cuvintelor cheie Texinfo
    pentru documentul de ieșire (implicit C).

--error-limit=NUMĂR
    abandonează după NUM erori (implicit 100).

--force
    păstrează fișierul de ieșire chiar și în caz de erori.

--help
    afișează acest mesaj de ajutor și iese.

--no-validate
     suprimă validarea referințelor încrucișate ale nodurilor.

--no-warn
    suprimă avertismentele (dar nu și erorile).

--conf-dir=DIRECTOR
    caută, de asemenea, fișierele de inițializare în DIR.

--init-file=FIȘIER
    încărcă FIȘIERUL pentru a modifica comportamentul implicit.

-c, --set-customization-variable VAR=VAL
    atribuie valoarea VAL, variabilei de personalizare VAR.

--trace-includes
    afișează numele fișierelor incluse.

-v, --verbose
    explică ce se se face în fiecare moment al execuției.

--version
    afișează informațiile despre versiune și iese.

  Selectarea formatului de ieșire (implicit este de a produce Info):

--docbook
    generează datele de ieșire în format XML Docbook.

--html
    generează datele de ieșire în format HTML.

--epub3
    generează datele de ieșire în format EPUB 3.

--latex
    generează datele de ieșire în format LaTeX.

--plaintext
    generează datele de ieșire în format de text simplu, în loc de Info.

--xml
    generează datele de ieșire în format XML Texinfo.

--dvi, --dvipdf, --ps, --pdf
    apelează «texi2dvi» pentru a genera ieșirea cerută, după verificarea validității FIȘIERULUI-TEXINFO.

  Opțiuni generale de ieșire:

-E, --macro-expand=FIȘIER
    scrie sursa extinsă a macrocomenzii în FIȘIER, ignorând orice @setfilename.

--no-headers
    suprimă separatorii de noduri, Nod: liniile și meniurile din ieșirea Info (producând astfel text simplu) sau din HTML (producând astfel o ieșire mai scurtă). De asemenea, dacă produce Info, le scrie în mod implicit la ieșirea standard.

--no-split
    suprimă orice divizare a ieșirii; generează un singur fișier de ieșire.

--[no-]number-sections
    afișează numerele de capitol și de secțiuni; implicit este activată.

-o, --output=DESTINAȚIE
    trimite datele la DESTINAȚIE. Cu ieșirea divizată, creează DESTINAȚIE ca director și pune fișierele de ieșire acolo. Cu ieșirea nedivizată dacă DESTINAȚIE este deja un director sau se termină cu /, pune fișierul de ieșire acolo. În caz contrar, DESTINAȚIE denumește fișierul de ieșire.

--disable-encoding
    nu plasează caracterele accentuate și speciale în ieșirea Info și în textul simplu pe baza codificării documentului.

--enable-encoding
    suprascrie opțiunea --disable-encoding (implicit).

  Opțiuni pentru Info și text simplu:

--fill-column=NUMĂR
    întrerupe liniile Info la NUMĂR coloane (implicit 72).

--footnote-style=STIL
    afișează note de subsol în Info conform STILULUI: „separate” pentru a le pune pe fiecare în propriul nod; „end” pentru a le pune la capătul nodului, în care fiecare este definită (aceasta este valoarea implicită).

--paragraph-indent=VALOARE
    indentare paragrafe Info cu VALOARE spații (implicit 3). Dacă VALOARE este „none”, nu se face indentarea; dacă VALOARE este „asis”, se păstrează indentarea existentă.

--split-size=NUMĂR
    împarte fișierele Info la dimensiunea NUMĂR (implicit 300000).

  Opțiuni pentru HTML:

--css-include=FIȘIER
    include FIȘIERUL între etichetele HTML <style>; citește de la intrarea standard dacă FIȘIERul este „-”.

--css-ref=URL
    generează referință CSS la adresa URL.

--internal-links=FIȘIER
    produce o listă de legături interne în FIȘIER.

--split=DIVIDE
    divide la DIVIDE, unde DIVIDE poate fi „chapter”, „section” sau „node”.

--transliterate-file-names
    utilizează numele fișierelor în transliterarea ASCII.

--node-files
    produce fișiere de redirecționare pentru noduri și ancore; este stabilită ca implicită doar dacă se utilizează opțiunea --split.

  Opțiuni pentru DVI/PS/PDF:

--Xopt=OPȚIUNEA
    pasează OPȚIUNEA la texi2dvi; poate fi repetată.

  Opțiuni pentru fișierul de intrare:

-D VAR
    definește variabila VAR, precum se face cu @set.

-D 'VAR VAL'
    definește variabila VAR la valoarea VAL (un argument de shell).

-I DIRECTOR
    adaugă directorul DIRECTOR la ruta de căutare @include.

-P DIRECTOR
    adaugă directorul DIR înaintea rutei de căutare @include.

-U VAR
    anulează definirea variabilei VARIABILA precum se face cu @clear.

  Procesarea condiționată a datelor de intrare:

--ifdocbook
    procesează @ifdocbook și @docbook chiar dacă nu generează Docbook.

--ifhtml
    procesează @ifhtml și @html chiar dacă nu generează HTML.

--ifinfo
    procesează @ifinfo chiar dacă nu generează Info.

--iflatex
    procesează @iflatex și @latex.

--ifplaintext
    procesează @ifplaintext chiar dacă nu generează text simplu.

--iftex
    procesează @iftex și @tex.

--ifxml
    procesează @ifxml și @xml.

--no-ifdocbook
    nu procesează textul @ifdocbook și @docbook.

--no-ifhtml
    nu procesează textul @ifhtml și @html.

--no-ifinfo
    nu procesează textul @ifinfo.

--no-iflatex
    nu procesează textul @iflatex și @latex.

--no-ifplaintext
    nu procesează textul @ifplaintext.

--no-iftex
    nu procesează textul @iftex și @tex.

--no-ifxml
    nu procesează textul @ifxml și @xml.

De asemenea, pentru opțiunile --no-ifFORMAT, nu procesează textul @ifnotFORMAT.

Valorile implicite pentru @if... condiționale depind de formatul de ieșire: dacă se generează Docbook, --ifdocbook este activată și celelalte sunt dezactivate; dacă se generează HTML, --ifhtml este activată și celelalte sunt dezactivate; dacă se generează Info, --ifinfo este activată și celelalte sunt dezactivate; dacă se generează text simplu, --ifplaintext este activată și celelalte sunt dezactivate; dacă se generează LaTeX, --iflatex este activată și celelalte sunt dezactivate; dacă se generează XML, --ifxml este activată și celelalte sunt dezactivate.

EXEMPLE

makeinfo foo.texi
    scrie Info în @setfilename-ul lui foo

makeinfo --html foo.texi
    scrie HTML în @setfilename

makeinfo --xml foo.texi
    scrie Texinfo XML în @setfilename

makeinfo --docbook foo.texi
    scrie DocBook XML în @setfilename

makeinfo --plaintext foo.texi
    scrie text simplu la ieșirea standard

makeinfo --pdf foo.texi
    scrie PDF utilizând texi2dvi

makeinfo --html --no-headers foo.texi
    scrie html fără linii, meniuri de noduri

makeinfo --number-sections foo.texi
    scrie Info fără secțiuni numerotate

makeinfo --no-split foo.texi
    scrie un singur fișier Info indiferent cât de mare

RAPORTAREA ERORILOR
Trimiteți prin e-mail rapoartele de eroare la bug-texinfo@gnu.org, întrebări generale și discuții la help-texinfo@gnu.org.
Pagina principală a Texinfo: https://www.gnu.org/software/texinfo/

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <http://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru texi2any este menținută ca un manual Texinfo. Dacă programele info și texi2any sunt instalate corect în sistemul dvs., comanda

    info texi2any

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.